
QGIS Application - Bug report #10280

[PATCH] WMS GetLegendGraphics should return only the symbol with {LAYER|ITEM}FONTSIZE=0

2014-05-15 11:26 PM - luca76 -

Status: Closed

Priority: Normal

Assignee:

Category: QGIS Server

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:Yes Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 18709

Description

Hi,

as subject, WMS GetLegendGraphics should return only the symbol if LAYERFONTSIZE and ITEMFONTSIZE are 0.

Actually it returns with labels rendered as 1 pixel in height.

This patch fixes this: https://github.com/qgis/QGIS/pull/1355

History

#1 - 2014-05-16 05:21 AM - Giovanni Manghi

- Pull Request or Patch supplied changed from No to Yes

#2 - 2014-05-22 05:56 AM - luca76 -

- Resolution set to fixed/implemented

- % Done changed from 0 to 100

- Status changed from Open to Closed

- Due date set to 2014-05-22

patch commited and merged in the pull request #1377

2024-04-20 1/1

https://github.com/qgis/QGIS/pull/1355

